%define	Werror_cflags	%nil

%define	build_modules	1
%define	enable_jasper	1
%define	enable_graphwiz	1

%define	major		3
%define	wand_major	2
%define	oname		GraphicsMagick
%define	libname		%mklibname %{name} %{major}
%define	libwandname	%mklibname graphicsmagickwand %{wand_major}
%define	develname	%mklibname %{name} -d
%define	qlev		Q8

Summary:	An X application for displaying and manipulating images
Name:		graphicsmagick
Version:	1.3.16
Release:	1
License:	GPLv2+
Group:		Graphics
URL:		http://www.graphicsmagick.org/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{oname}-%{version}.tar.xz
Patch0:		GraphicsMagick-1.3.14-linkage.patch
BuildRequires:	libtool
BuildRequires:	bzip2-devel
BuildRequires:	freetype2-devel
BuildRequires:	ghostscript-devel
BuildRequires:	jasper-devel
BuildRequires:	jbigkit-devel
BuildRequires:	jpeg-devel
BuildRequires:	lcms-devel
BuildRequires:	libwmf-devel
BuildRequires:	libxml2-devel
BuildRequires:	perl-devel
BuildRequires:	png-devel
Buildrequires:	tiff-devel
BuildRequires:	x11-proto-devel
BuildRequires:	zlib-devel

%description
GraphicsMagick is the swiss army knife of image processing. It 
provides a robust collection of tools and libraries which support 
reading, writing, and manipulating an image in over 88 major formats 
including important formats like DPX, GIF, JPEG, JPEG-2000, PNG, PDF, 
SVG, and TIFF. GraphicsMagick supports huge images on systems that 
support large files, and has been tested with gigapixel-size images. 
GraphicsMagick can create new images on the fly, making it suitable 
for building dynamic Web applications. GraphicsMagick may be used to 
resize, rotate, sharpen, color reduce, or add special effects to an 
image and save the result in the same or differing image format. 
Image processing operations are available from the command line, as 
well as through C, C++, Perl, or Windows COM programming interfaces. 
Extensions are available from third-parties to support programming in 
Python, Tcl, and Ruby. With some modification, language extensions for 
ImageMagick may be used.

%files
%doc ChangeLog *.txt
%{_bindir}/gm
%dir %{_libdir}/GraphicsMagick-%{version}/config
%{_libdir}/GraphicsMagick-%{version}/config/*.mgk
%dir %{_datadir}/GraphicsMagick-%{version}/config
%{_datadir}/GraphicsMagick-%{version}/config/*.mgk
%if %{build_modules}
%dir %{_libdir}/%{oname}-%{version}/modules-%{qlev}
%{_libdir}/%{oname}-%{version}/modules-%{qlev}/filters
%dir %{_libdir}/%{oname}-%{version}/modules-%{qlev}/coders
%{_libdir}/%{oname}-%{version}/modules-%{qlev}/coders/*.so
%endif
%{_mandir}/man1/GraphicsMagick++-config.1.*
%{_mandir}/man1/GraphicsMagick-config.1.*
%{_mandir}/man1/GraphicsMagickWand-config.1.*
%{_mandir}/man1/gm.1.*
%{_mandir}/man4/miff.4.*
%{_mandir}/man5/quantize.5.*

#--------------------------------------------------------------

%package -n %{libname}
Summary:	%{oname} libraries
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with ImageMagick libraries.

%files -n %{libname}
%{_libdir}/libGraphicsMagick++.so.%{major}*
%{_libdir}/libGraphicsMagick.so.%{major}*

#--------------------------------------------------------------

%package -n %{libwandname}
Summary:	%{oname} libraries
Group:		System/Libraries

%description -n %{libwandname}
This package contains the libraries needed to run programs dynamically
linked with ImageMagick libraries.

%files -n %{libwandname}
%{_libdir}/libGraphicsMagickWand.so.%{wand_major}*

#--------------------------------------------------------------

%package -n %{develname}
Summary:	Header files for %{oname} app development
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{libwandname} = %{version}

%description -n %{develname}
If you want to create applications that will use ImageMagick code or
APIs, you'll need to install these packages as well as
ImageMagick. These additional packages aren't necessary if you simply
want to use ImageMagick, however.

imagemagick-devel is an addition to ImageMagick which includes static
libraries and header files necessary to develop applications.

%files -n %{develname}
%{_bindir}/GraphicsMagick++-config
%{_bindir}/GraphicsMagick-config
%{_bindir}/GraphicsMagickWand-config
%dir %{_includedir}/GraphicsMagick
%{_includedir}/GraphicsMagick/Magick++.h
%dir %{_includedir}/GraphicsMagick/magick
%{_includedir}/GraphicsMagick/magick/*.h
%dir %{_includedir}/GraphicsMagick/Magick++
%{_includedir}/GraphicsMagick/Magick++/*.h
%dir %{_includedir}/GraphicsMagick/wand
%{_includedir}/GraphicsMagick/wand/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------

%package -n perl-Graphics-Magick
Summary:	Libraries and modules for access to %{oname} from perl
Group:		Development/Perl
Requires:	%{name} = %{version}
%if %{enable_graphwiz}
Requires:	graphviz
%endif
%define __noautoprov Magic.so

%description -n perl-Graphics-Magick
This is the %{oname} perl support package. It includes perl modules
and support files for access to ImageMagick library from perl.

%files -n perl-Graphics-Magick
%{_mandir}/man3*/*::*.3pm*
%{perl_vendorarch}/Graphics
%{perl_vendorarch}/auto

#--------------------------------------------------------------

%package doc
Summary:	%{name} Documentation
Group:		Books/Other

%description doc
This package contains HTML/PDF documentation of %{name}.

%files doc
%{_datadir}/doc/GraphicsMagick

#--------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1 -b .linkage

%build
%configure2_5x \
    --enable-fast-install \
    --disable-ltdl-install \
    --without-dps \
%if %{build_modules}
    --with-modules \
%else
    --without-modules \
%endif
    --enable-shared \
    --disable-static \
    --with-pic \
%if %{enable_jasper}
    --with-jp2 \
%else
    --without-jp2 \
%endif
    --with-perl-options="INSTALLDIRS=vendor"  \
    --with-perl

%make
%make perl-build

%install
%__rm -rf %{buildroot}

%makeinstall_std
%makeinstall_std -C PerlMagick
%__rm -f %{buildroot}%{_datadir}/GraphicsMagick-%{version}/{ChangeLog,NEWS.txt}

# cleanup
%__rm -f %{buildroot}%{_libdir}/%{oname}-%{version}/modules-%{qlev}/coders/*.*a



%changelog
* Mon Jun 25 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.3.16-1
+ Revision: 806780
- version update 1.3.16

* Sat May 05 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.3.15-1
+ Revision: 796656
- update to 1.3.15

  + Andrey Bondrov <abondrov@mandriva.org>
    - New version 1.3.14, re-diff patch for linkage, drop patch for png15

* Mon Jan 23 2012 Oden Eriksson <oeriksson@mandriva.com> 1.3.12-8
+ Revision: 766783
- drop the libtool la files for the modules (should work...)
- rebuilt for perl-5.14.2

* Thu Dec 22 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.3.12-7
+ Revision: 744629
- removed left over .la files
- put back if for enable_graphviz
- fixed typo
- clean up spec for build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against libtiff.so.5

* Thu Dec 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3.12-6
+ Revision: 738820
- rebuild

* Tue Oct 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3.12-5
+ Revision: 702669
- fix build with libpng-1.5.x (gentoo)
- attempt to relink against libpng15.so.15

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3.12-4
+ Revision: 664924
- mass rebuild

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.3.12-3mdv2011.0
+ Revision: 564247
- rebuild for perl 5.12.1

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 1.3.12-2mdv2011.0
+ Revision: 556444
- perl 5.12 rebuild

* Tue Apr 27 2010 Funda Wang <fwang@mandriva.org> 1.3.12-1mdv2010.1
+ Revision: 539441
- new version 1.3.12

* Mon Feb 22 2010 Funda Wang <fwang@mandriva.org> 1.3.11-1mdv2010.1
+ Revision: 509406
- New version 1.3.11

* Thu Feb 11 2010 Frederik Himpe <fhimpe@mandriva.org> 1.3.10-1mdv2010.1
+ Revision: 504290
- update to new version 1.3.10

* Fri Feb 05 2010 Funda Wang <fwang@mandriva.org> 1.3.9-1mdv2010.1
+ Revision: 501074
- update to new version 1.3.9

* Fri Jan 22 2010 Frederik Himpe <fhimpe@mandriva.org> 1.3.8-1mdv2010.1
+ Revision: 495074
- Update to new version 1.3.8
- Remove CVE-2009-3736 patch integrated upstream

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.7-3mdv2010.1
+ Revision: 488759
- rebuilt against libjpeg v8
- P1: security fix for CVE-2009-3736

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.7-1mdv2010.0
+ Revision: 448498
- Update to new version 1.3.7
- Disable static libraries
- Fix perl build (Fedora)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-4mdv2010.0
+ Revision: 416519
- rebuilt against libjpeg v7

* Wed Apr 08 2009 Helio Chissini de Castro <helio@mandriva.com> 1.3.5-3mdv2009.1
+ Revision: 365216
- Install package required wrong namiing to x86_64 libs

* Sat Apr 04 2009 Funda Wang <fwang@mandriva.org> 1.3.5-2mdv2009.1
+ Revision: 364040
- add more BRs

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 1.3.5-1mdv2009.1
+ Revision: 335524
- New version 1.3.5

* Sat Jan 17 2009 Funda Wang <fwang@mandriva.org> 1.3.4-1mdv2009.1
+ Revision: 330710
- disable format check
- New version 1.3.4

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 1.3.3-1mdv2009.1
+ Revision: 312645
- gcc patch not needed
- New version 1.3.3

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2009.1
+ Revision: 308490
- New version 1.3.2

* Tue Sep 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-2mdv2009.0
+ Revision: 279103
- fix build

* Sun Jul 27 2008 Funda Wang <fwang@mandriva.org> 1.2.5-1mdv2009.0
+ Revision: 250518
- update to new version 1.2.5

* Sun Jul 06 2008 Funda Wang <fwang@mandriva.org> 1.2.4-1mdv2009.0
+ Revision: 232196
- New version 1.2.4

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 1.2.3-1mdv2009.0
+ Revision: 216863
- New version 1.2.3

* Thu May 29 2008 Funda Wang <fwang@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 213102
- New version 1.2.2

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2009.0
+ Revision: 209716
- added a gcc43 patch from fedora

* Wed May 07 2008 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 203086
- fix file list
- New version 1.2.1

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.2-1mdv2009.0
+ Revision: 199934
- New version 1.2

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 1.1.10-3mdv2008.1
+ Revision: 161611
- split out libs to reflect the actual soname

* Mon Jan 21 2008 Thierry Vignaud <tv@mandriva.org> 1.1.10-2mdv2008.1
+ Revision: 155648
- rebuild for new perl

* Fri Dec 21 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.10-1mdv2008.1
+ Revision: 136151
- Fix File list
- import graphicsmagick

